[B055] Outcome ID search
Input the outcome name and get the outcome ID
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | integer<int64> | 10 | limits |
Required | string | OS | keywords |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
outcome_id | string | b5929508886148bd899ab4def0451571 | ID |
short_name | array | [
{
"lang": "EN",
"name": "OS"
}
] | Short Name |
lang | string | EN | Language |
name | string | Ranibizumab (Genentech) | Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name |
display_name | array | [
{
"lang": "EN",
"name": "Overall survival"
},
{
"lang": "CN",
"name": "总生存期"
}
] | name |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"outcome_id": "b5929508886148bd899ab4def0451571",
"short_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200001 | API call exceeds the total limit set by the platform! |
67200002 | Quota exceeds the limit! |
67200003 | Access token expired or authentication error! |
67200004 | No permission or API package quota has exceeded the limit! |
67200005 | Insufficient balance, call failed! |
67200006 | This client has expired and call failed! |
67200007 | Exceeded the call limit, call failed! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms